/**
 * 
 */

/**
 * @author nieminen
 *
 */
public interface FeatureExtractor {
    /**
     * Extracts a feature from a raw vector. The feature may be one- or 
     * multidimensional, but it is always returned as a vector of doubles.
     * 
     * @param input
     * @return
     */
    public double[] extractFromRawVector(double[] input);
}
