/**
 * A test program.
 */

/**
 * @author nieminen
 *
 */
public class TestingTesting {

    /**
     * @param args
     */
    public static void main(String[] args) {
        double[][] inputs = {
                {-1,-1},
                {-1, 1},
                { 1,-1},
                { 1, 1}
        };
        double [][] targets = {
                {-1, 1},
                { 1, -1},
                { 1, -1},
                {-1, 1}
        };

        SimpleMLP mlp = new SimpleMLP(new int[]{2,2,2});

        mlp.trainGD(inputs, targets, 0.1,1000);
        double[][] outputs = mlp.feedMatrix(inputs);

        for (double[] o: outputs){
            for(double v: o) System.out.println(v);
        }
    }

}
